# Generated from binary_struct-2.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name binary_struct

Name: rubygem-%{gem_name}
Version: 2.1.0
Release: 1%{?dist}
Summary: BinaryStruct is a class for dealing with binary structured data
License: MIT
URL: http://github.com/ManageIQ/binary_struct
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(coveralls)
BuildArch: noarch

%description
BinaryStruct is a class for dealing with binary structured data.  It
simplifies
expressing what the binary structure looks like, with the ability to name the
parts.  Given this definition, it is easy to encode/decode the binary
structure
from/to a Hash.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec

%changelog
* Mon Apr 18 2022 mockbuilder - 2.1.0-1
- Initial package
